export declare enum Size {
    sm = "sm",
    default = "",
    lg = "lg",
}
export declare enum Color {
    default = "white",
    white = "white",
    danger = "danger",
    warning = "warning",
    dark = "dark",
    light = "light",
    secondary = "secondary",
    primary = "primary",
}
export declare const LightColors: string[];
export declare class DomAttr {
    lg: string;
    sm: string;
    md: string;
    xl: string;
    color: Color;
    outline: string;
    active: string;
    readonly btnClass: string;
    readonly bgClass: string;
    readonly textClass: string;
    readonly lightOrDark: string;
    readonly inLightOrDark: string;
    readonly browserSize: string;
    readonly borderClass: string;
    readonly tabClass: string;
}
