import { EventEmitter, QueryList, AfterContentInit, OnChanges, SimpleChanges, ChangeDetectorRef } from '@angular/core';
import { CheckboxComponent } from './checkbox.component';
export declare class CheckboxDirective implements AfterContentInit, OnChanges {
    private cdRef;
    values: Array<any>;
    valuesChange: EventEmitter<any>;
    checkboxList: QueryList<CheckboxComponent>;
    constructor(cdRef: ChangeDetectorRef);
    ngAfterContentInit(): void;
    ngOnChanges(simpleChanges: SimpleChanges): void;
    replyValue(): void;
    applyCheckboxChange(): void;
}
