import { ElementRef } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { Subject } from 'rxjs/Subject';
import { ConfirmOptions } from './confirm.interface';
import { ConfirmConfig } from './confirm.data';
export declare class ConfirmComponent {
    modalPad: ElementRef;
    title: string;
    message: string;
    config: ConfirmOptions;
    handle: Subject<void>;
    show: boolean;
    color: string;
    constructor(_options: ConfirmConfig);
    tryClose(eventDom: HTMLElement): void;
    dismiss(): void;
    confirm(): void;
    play(): void;
    updateHandle(): Observable<any>;
}
