import { EventEmitter } from '@angular/core';
import { DomSanitizer, SafeResourceUrl } from '@angular/platform-browser';
import { LoopCard, LoopCardConfig } from './loop-card.interface';
export declare class LoopCardComponent {
    private sanitizer;
    loopCard: LoopCard;
    config: LoopCardConfig;
    cardSave: EventEmitter<LoopCard>;
    cardRemove: EventEmitter<LoopCard>;
    readonly realSrc: string | SafeResourceUrl;
    constructor(sanitizer: DomSanitizer);
    changeFile(files: File[]): void;
    save(): void;
    remove(): void;
}
