"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var attr_class_1 = require("./../../commons/extends/attr.class");
var NavBreadcrumbComponent = /** @class */ (function (_super) {
    __extends(NavBreadcrumbComponent, _super);
    function NavBreadcrumbComponent() {
        var _this = _super.call(this) || this;
        _this.breadcrumbActiveChange = new core_1.EventEmitter();
        _this.breadcrumbs = new Array();
        return _this;
    }
    NavBreadcrumbComponent.prototype.activeDo = function (url) {
        this.breadcrumbActiveChange.emit(url);
    };
    NavBreadcrumbComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ts-nav-breadcrumb',
                    template: "\n    <div class=\"d-inline-block ts-breadcrumb\">\n        <span *ngFor=\"let item of breadcrumbs\" (click)=\"activeDo(item.url)\">\n            <i [class]=\"item.icon||''\"></i>{{item.title}}\n        </span>\n    </div>\n    ",
                    styles: [
                        "\n        .ts-breadcrumb span::after {\n            content: '>';\n        }\n        .ts-breadcrumb span:last-child {\n            opacity: .8;\n        }\n        .ts-breadcrumb span:last-child::after {\n            content: '';\n        }\n        "
                    ]
                },] },
    ];
    /** @nocollapse */
    NavBreadcrumbComponent.ctorParameters = function () { return []; };
    NavBreadcrumbComponent.propDecorators = {
        "breadcrumbs": [{ type: core_1.Input },],
        "breadcrumbActiveChange": [{ type: core_1.Output },],
    };
    return NavBreadcrumbComponent;
}(attr_class_1.DomAttr));
exports.NavBreadcrumbComponent = NavBreadcrumbComponent;
//# sourceMappingURL=nav-breadcrumb.component.js.map