import { EventEmitter, OnChanges } from '@angular/core';
import { Item } from './../../commons/interfaces/item.interface';
import { DomAttr } from '../../commons/extends/attr.class';
export declare class SelectComponent extends DomAttr implements OnChanges {
    title: string;
    searchKey: string;
    readonly: string;
    disabled: boolean;
    items: Array<string | number | {
        value: any;
        text: string;
    }>;
    placeholder: string;
    value: any;
    emptyLabel: string;
    valueChange: EventEmitter<any>;
    optionChange: EventEmitter<any>;
    constructor();
    readonly itemsList: Array<Item>;
    readonly formatItems: Array<Item>;
    ngOnChanges(): void;
    showActiveClass(item: Item): string;
    trackByValue(index: number, item: Item): number;
    setReadonlyStatus(status: boolean): void;
    setValue(item: Item): void;
    setSearchKey(value: string): void;
    setTitle(): void;
}
