import { Injector, ApplicationRef, ComponentFactoryResolver } from '@angular/core';
export declare class ToastService {
    private applicationRef;
    private componentFactoryResolver;
    private injector;
    private baseComponent;
    private windowCmptRef;
    private defaultPosition;
    private defaultTimeOut;
    constructor(applicationRef: ApplicationRef, componentFactoryResolver: ComponentFactoryResolver, injector: Injector);
    private init();
    create(title: string, message: string, options: {
        color: string;
        timeout?: number;
    }): void;
    info(title: string, message: string, timer?: number): void;
    success(title: string, message: string, timer?: number): void;
    danger(title: string, message: string, timer?: number): void;
    warning(title: string, message: string, timer?: number): void;
}
