import { OnChanges, SimpleChanges, EventEmitter } from '@angular/core';
import { DomSanitizer, SafeStyle } from '@angular/platform-browser';
import { DomAttr } from '../../commons/extends/attr.class';
import { UploadConfig } from './upload.interface';
export declare class InputImageComponent extends DomAttr implements OnChanges {
    private domSanitizer;
    config: UploadConfig;
    src: string | {
        blobUrl: string;
    };
    title: string;
    width: string;
    fileChange: EventEmitter<File>;
    srcChange: EventEmitter<string>;
    showImage: boolean;
    isLoading: boolean;
    hasUpload: boolean;
    default: string;
    file: File;
    readonly plusBackground: SafeStyle;
    readonly source: string;
    readonly realSrc: string;
    constructor(domSanitizer: DomSanitizer);
    ngOnChanges(changes: SimpleChanges): void;
    getUrl(): string;
    changeFile(files: File[]): void;
    resetInput(input: HTMLInputElement): void;
    cleanInput(input: HTMLInputElement): void;
    uploadFile(): void;
}
