"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var base_chart_directive_1 = require("./base-chart.directive");
var line_chart_directive_1 = require("./line-chart.directive");
var bar_chart_directive_1 = require("./bar-chart.directive");
var pie_chart_directive_1 = require("./pie-chart.directive");
var radar_chart_directive_1 = require("./radar-chart.directive");
var ChartModule = /** @class */ (function () {
    function ChartModule() {
        window.Chart.defaults.global.plugins = {
            display: false,
        };
    }
    ChartModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_1.CommonModule
                    ],
                    declarations: [
                        base_chart_directive_1.BaseChartDirective,
                        line_chart_directive_1.LineChartDirective,
                        bar_chart_directive_1.BarChartDirective,
                        pie_chart_directive_1.PieChartDirective,
                        radar_chart_directive_1.RadarChartDirective,
                    ],
                    exports: [
                        common_1.CommonModule,
                        base_chart_directive_1.BaseChartDirective,
                        line_chart_directive_1.LineChartDirective,
                        bar_chart_directive_1.BarChartDirective,
                        pie_chart_directive_1.PieChartDirective,
                        radar_chart_directive_1.RadarChartDirective,
                    ]
                },] },
    ];
    /** @nocollapse */
    ChartModule.ctorParameters = function () { return []; };
    return ChartModule;
}());
exports.ChartModule = ChartModule;
//# sourceMappingURL=chart.module.js.map