"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var FontAwesome = /** @class */ (function () {
    function FontAwesome(name, flash) {
        if (flash === void 0) { flash = false; }
        this.name = name;
        this.flash = flash;
    }
    FontAwesome.prototype.toHtmlString = function () {
        return "<i class=\"" + this.toClassString + "\"></i>";
    };
    FontAwesome.prototype.toClassString = function () {
        return "fa fa-" + this.name + " fa-fw " + (this.flash ? 'fa-pulse' : '');
    };
    FontAwesome.prototype.toDom = function () {
        var dom = document.createElement('i');
        dom.className = this.toClassString();
        return dom;
    };
    return FontAwesome;
}());
exports.FontAwesome = FontAwesome;
//# sourceMappingURL=font-awesome.class.js.map