import { EventEmitter } from '@angular/core';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { DomAttr } from './../../commons/extends/attr.class';
export declare class ButtonsComponent extends DomAttr {
    private domSanitizer;
    items: {
        value: any;
        content: string;
    }[];
    value: any | any[];
    valueChange: EventEmitter<any>;
    multi: boolean;
    constructor(domSanitizer: DomSanitizer);
    readonly buttons: {
        value: any;
        content: SafeHtml;
    }[];
    toggle(btn: {
        value: any;
        content: SafeHtml;
    }): void;
    removeMutiValue(value: any): void;
    isActive(value: any): boolean;
    multiActive(value: any): boolean;
}
