import { EventEmitter, OnDestroy } from '@angular/core';
import { DomAttr } from './../../commons/extends/attr.class';
export declare class RadioComponent extends DomAttr implements OnDestroy {
    label: string;
    value: any;
    checked: boolean;
    defaultColor: string;
    checkedChange: EventEmitter<boolean>;
    groupHandle: EventEmitter<{
        checked: boolean;
        value?: any;
    }>;
    constructor();
    changeStatus(): void;
    ngOnDestroy(): void;
}
