import { EventEmitter, QueryList, AfterContentInit, OnChanges, SimpleChanges, ChangeDetectorRef } from '@angular/core';
import { RadioComponent } from './radio.component';
export declare class RadiosDirective implements AfterContentInit, OnChanges {
    private cdRef;
    value: any;
    valueChange: EventEmitter<any>;
    radioList: QueryList<RadioComponent>;
    constructor(cdRef: ChangeDetectorRef);
    ngAfterContentInit(): void;
    ngOnChanges(simpleChanges: SimpleChanges): void;
    replyValue(): void;
    applyRadioValue(): void;
    applyRadioChange(handle: {
        checked: boolean;
        value: any;
    }): void;
}
