"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var attr_class_1 = require("../../commons/extends/attr.class");
var SwitchComponent = /** @class */ (function (_super) {
    __extends(SwitchComponent, _super);
    function SwitchComponent() {
        var _this = _super.call(this) || this;
        _this.valueChange = new core_1.EventEmitter(false);
        _this.values = { open: true, close: false };
        _this.value = false;
        return _this;
    }
    Object.defineProperty(SwitchComponent.prototype, "isOpen", {
        get: function () {
            return this.value === this.values.open;
        },
        enumerable: true,
        configurable: true
    });
    SwitchComponent.prototype.toggle = function () {
        this.value = this.isOpen ? this.values.close : this.values.open;
        this.valueChange.emit(this.value);
    };
    SwitchComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ts-switch',
                    template: "\n    <span class=\"d-inline-block triggle-line {{isOpen?bgClass:'bg-secondary'}}\" (click)=\"toggle()\">\n        <span class=\"d-inline-block rounded-circle triggle-bar bg-white\"\n        [ngClass]=\"{'triggle-open':isOpen,'triggle-close':!isOpen}\"></span>\n    </span>",
                    styles: [
                        ".triggle-bar {\n            height: 17px;\n            width: 17px;\n        }\n        .triggle-line {\n            height: 21px;\n            width: 35px;\n            padding: 2px;\n            border-radius: 30px;\n            cursor: pointer;\n            vertical-align: top;\n        }\n        .triggle-open {\n            transition: all 0.3s linear;\n            margin-left: 14px;\n        }\n        .triggle-close {\n            transition: all 0.3s linear;\n            margin-left: 0px;\n        }"
                    ]
                },] },
    ];
    /** @nocollapse */
    SwitchComponent.ctorParameters = function () { return []; };
    SwitchComponent.propDecorators = {
        "values": [{ type: core_1.Input },],
        "value": [{ type: core_1.Input },],
        "valueChange": [{ type: core_1.Output },],
    };
    return SwitchComponent;
}(attr_class_1.DomAttr));
exports.SwitchComponent = SwitchComponent;
//# sourceMappingURL=switch.component.js.map