"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var collapse_directive_1 = require("./collapse.directive");
var toggle_directives_1 = require("./../../commons/directives/toggle.directives");
var CollapsesDirective = /** @class */ (function () {
    function CollapsesDirective() {
        this.auto = false;
    }
    CollapsesDirective.prototype.ngAfterViewInit = function () {
        var _this = this;
        var collapses = this.collapses.toArray();
        this.toggles.forEach(function (e, index) {
            e.target = collapses[index];
            e.handleFunc = function (collapse) {
                if (_this.auto) {
                    if (_this.auto) {
                        _this.closeOther(collapse);
                    }
                }
            };
        });
    };
    CollapsesDirective.prototype.closeOther = function (collapse) {
        this.collapses.forEach(function (e) {
            if (e !== collapse) {
                e.collapseClose();
            }
        });
    };
    CollapsesDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: '*[tsCollapses]',
                    exportAs: 'tsCollapses',
                },] },
    ];
    /** @nocollapse */
    CollapsesDirective.ctorParameters = function () { return []; };
    CollapsesDirective.propDecorators = {
        "auto": [{ type: core_1.Input },],
        "collapses": [{ type: core_1.ContentChildren, args: [core_1.forwardRef(function () { return collapse_directive_1.CollapseDirective; }),] },],
        "toggles": [{ type: core_1.ContentChildren, args: [core_1.forwardRef(function () { return toggle_directives_1.ToggleDirective; }),] },],
    };
    return CollapsesDirective;
}());
exports.CollapsesDirective = CollapsesDirective;
//# sourceMappingURL=collapses.directive.js.map