"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_module_1 = require("./../../commons/common.module");
var confirm_component_1 = require("./confirm.component");
var confirm_service_1 = require("./confirm.service");
var confirm_data_1 = require("./confirm.data");
var ConfirmModule = /** @class */ (function () {
    function ConfirmModule() {
    }
    ConfirmModule.forRoot = function (options) {
        return {
            ngModule: ConfirmModule,
            providers: [
                confirm_service_1.ConfirmService,
                { provide: confirm_data_1.ConfirmConfig, useValue: options || confirm_data_1.DefaultConfig }
            ]
        };
    };
    ConfirmModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_module_1.CommonModule,
                    ],
                    declarations: [
                        confirm_component_1.ConfirmComponent,
                    ],
                    exports: [
                        common_module_1.CommonModule,
                        confirm_component_1.ConfirmComponent,
                    ],
                    entryComponents: [
                        confirm_component_1.ConfirmComponent,
                    ]
                },] },
    ];
    /** @nocollapse */
    ConfirmModule.ctorParameters = function () { return []; };
    return ConfirmModule;
}());
exports.ConfirmModule = ConfirmModule;
//# sourceMappingURL=confirm.module.js.map