"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_module_1 = require("./../../commons/common.module");
var image_config_1 = require("./image.config");
var image_directive_1 = require("./image.directive");
var ImageModule = /** @class */ (function () {
    function ImageModule() {
    }
    ImageModule.forRoot = function (config) {
        return {
            ngModule: ImageModule,
            providers: [
                { provide: image_config_1.ImageConfig, useValue: config }
            ]
        };
    };
    ImageModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_module_1.CommonModule,
                    ],
                    declarations: [
                        image_directive_1.ImageDirective,
                    ],
                    exports: [
                        common_module_1.CommonModule,
                        image_directive_1.ImageDirective,
                    ],
                    providers: [
                        image_config_1.ImageConfig,
                    ]
                },] },
    ];
    /** @nocollapse */
    ImageModule.ctorParameters = function () { return []; };
    return ImageModule;
}());
exports.ImageModule = ImageModule;
//# sourceMappingURL=image.module.js.map