import { EventEmitter, DoCheck } from '@angular/core';
import { Pagination } from './pagination.class';
import { DomAttr } from './../../commons/extends/attr.class';
import { Item } from '../../commons/interfaces/item.interface';
export declare class PaginationComponent extends DomAttr implements DoCheck {
    nextTitle: string;
    prevTitle: string;
    endTitle: string;
    startTitle: string;
    pagination: Pagination;
    btnNum: number;
    items: Item[];
    goTitle: string;
    pageChange: EventEmitter<Pagination>;
    pages: number[];
    constructor();
    ngDoCheck(): void;
    sendChange(page?: number): void;
    setPages(): void;
}
