"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var common_module_1 = require("./../../commons/common.module");
var input_image_component_1 = require("./input-image.component");
var input_images_component_1 = require("./input-images.component");
var input_video_component_1 = require("./input-video.component");
var input_file_directive_1 = require("./input-file.directive");
var image_card_component_1 = require("./image-card.component");
var image_cards_component_1 = require("./image-cards.component");
var UploadModule = /** @class */ (function () {
    function UploadModule() {
    }
    UploadModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        forms_1.FormsModule,
                        common_module_1.CommonModule
                    ],
                    declarations: [
                        input_image_component_1.InputImageComponent,
                        input_images_component_1.InputImagesComponent,
                        input_video_component_1.InputVideoComponent,
                        input_file_directive_1.InputFileDirective,
                        image_card_component_1.ImageCardComponent,
                        image_cards_component_1.ImageCardsComponent,
                    ],
                    exports: [
                        forms_1.FormsModule,
                        common_module_1.CommonModule,
                        input_image_component_1.InputImageComponent,
                        input_images_component_1.InputImagesComponent,
                        input_video_component_1.InputVideoComponent,
                        input_file_directive_1.InputFileDirective,
                        image_card_component_1.ImageCardComponent,
                        image_cards_component_1.ImageCardsComponent,
                    ]
                },] },
    ];
    /** @nocollapse */
    UploadModule.ctorParameters = function () { return []; };
    return UploadModule;
}());
exports.UploadModule = UploadModule;
//# sourceMappingURL=upload.module.js.map