"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var CkeditorComponent = /** @class */ (function () {
    function CkeditorComponent() {
    }
    CkeditorComponent.prototype.ngOnChanges = function (change) {
        this.updateContent();
    };
    CkeditorComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        this.textarea = this.editor.nativeElement;
        if (!ClassicEditor) {
            console.error('ClassicEditor not found,please import ckeditor.js');
            return;
        }
        ClassicEditor
            .create(this.textarea, {
            ckfinder: {
                uploadUrl: 'http://127.0.0.1/webblog/tools-ui/upload'
            },
            language: 'zh_cn',
            height: '300',
        })
            .then(function (editor) {
            _this.editroHandle = editor;
            console.log(_this.editroHandle);
            setInterval(function () {
                console.log(_this.textarea.value);
            }, 100);
        })
            .catch(function (error) {
            console.error(error);
        });
        this.ready = true;
        this.updateContent();
    };
    CkeditorComponent.prototype.updateContent = function () {
        if (this.ready) {
        }
    };
    CkeditorComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ts-ckeditor',
                    exportAs: 'tsCkeditor',
                    template: '<textarea #editor>42341231</textarea>',
                    styles: [
                        ".ck-editor__main {\n            height: 400px !important;\n        }"
                    ],
                    encapsulation: core_1.ViewEncapsulation.Emulated,
                },] },
    ];
    /** @nocollapse */
    CkeditorComponent.ctorParameters = function () { return []; };
    CkeditorComponent.propDecorators = {
        "editor": [{ type: core_1.ViewChild, args: ['editor',] },],
    };
    return CkeditorComponent;
}());
exports.CkeditorComponent = CkeditorComponent;
//# sourceMappingURL=ckeditor.component.js.map