import { ElementRef, AfterViewInit, OnDestroy } from '@angular/core';
import { MapService } from './map.service';
import { Observable } from 'rxjs/Observable';
import { Subject } from 'rxjs/Subject';
export declare class MapDirective implements AfterViewInit, OnDestroy {
    private elementRef;
    private mapService;
    center: [number, number];
    zoom: number;
    options: any;
    amap: any;
    map: any;
    marker: any;
    handle: Observable<void>;
    sub: Subject<void>;
    status: boolean;
    readonly mapOptions: {
        [key: string]: string | number | [number, number];
    };
    constructor(elementRef: ElementRef, mapService: MapService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private doFunc(func);
    setMarker(position: [number, number]): void;
    setCenter(center: [number, number]): void;
    setMapStyle(mapStyle: string): void;
    setZoom(zoom: number): void;
}
